package com.itseasy.rtf;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

abstract class RTFAbstractDocument {
   protected static final String APPVERSION = "0.6";
   protected static final int RTFVERSION = 1;
   protected static final String GENERATOR = "SimpleRTFWriter V0.6 by it-s-easy.com";

   protected abstract String getDocumentAsString();

   public byte[] getDocument() {
      return this.getDocumentAsString().getBytes();
   }

   public void save(File file) throws IOException {
      BufferedWriter out = new BufferedWriter(new FileWriter(file));
      out.write(this.getDocumentAsString());
      out.close();
   }
}
