package com.itseasy.rtf.text;

public class Border {
   public static final int BORDER_NOTHING = 0;
   public static final int BORDER_TOP = 1;
   public static final int BORDER_BOTTOM = 2;
   public static final int BORDER_LEFT = 3;
   public static final int BORDER_RIGHT = 4;
   public static final int BORDER_BOX = 5;
   public static final int BORDERTHICKNESS_DEFAULT = 0;
   public static final int BORDERTHICKNESS_SINGLE = 1;
   public static final int BORDERTHICKNESS_DOUBLE = 2;
   private int kind = 0;
   private int thickness = 0;

   public Border(int kind, int thickness) {
      this.kind = kind;
      this.thickness = thickness;
   }

   public String getRtfContent() {
      StringBuffer format = new StringBuffer();
      switch(this.kind) {
      case 0:
      default:
         break;
      case 1:
         format.append("\\brdrt");
         break;
      case 2:
         format.append("\\brdrb");
         break;
      case 3:
         format.append("\\brdrl");
         break;
      case 4:
         format.append("\\brdrr");
         break;
      case 5:
         format.append("\\box");
      }

      switch(this.thickness) {
      case 0:
      default:
         break;
      case 1:
         format.append("\\brdrs");
         break;
      case 2:
         format.append("\\brdrth");
      }

      format.append("\\brdrw30");
      format.append("\\brsp20");
      return format.toString();
   }
}
