package com.itseasy.rtf.text;

import com.itseasy.rtf.RtfUtil;
import com.itseasy.rtf.text.TextPart;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Field extends TextPart {
   public static final TextPart FIELD_CURRENT_PAGENO = new Field("PAGE", "1");
   public static final TextPart FIELD_TOTAL_PAGES = new Field("NUMPAGES", "1");
   public static final TextPart FIELD_FILENAME = new Field("FILENAME \\\\p", "<n/a>");
   public static final TextPart FIELD_CURRENT_DATE = new Field("DATE \\\\@ dd.MM.yyyy", SimpleDateFormat.getInstance().format(new Date()));

   public Field(String formel, String firstvalue) {
      super("{\\field{\\*\\fldinst{" + formel + "}}{\\fldrslt{" + RtfUtil.getRTFString(firstvalue) + "}}}", true);
   }
}
