package com.itseasy.rtf.text;

import com.itseasy.rtf.RtfUtil;

public class PageSize {
   public static final PageSize DIN_A5 = new PageSize(210.0D, 148.0D);
   public static final PageSize DIN_A4 = new PageSize(297.0D, 210.0D);
   public static final PageSize DIN_A4_QUER = new PageSize(210.0D, 297.0D);
   public static final PageSize DIN_A3 = new PageSize(420.0D, 297.0D);
   public static final PageSize LETTER = new PageSize(279.4D, 215.9D);
   public static final PageSize LEGAL = new PageSize(355.6D, 215.9D);
   public static final PageSize EXECUTIVE = new PageSize(266.7D, 184.1D);
   private int height = 0;
   private int width = 0;

   public PageSize(double height, double width) {
      this.height = RtfUtil.getTwipFromMillimeter(height);
      this.width = RtfUtil.getTwipFromMillimeter(width);
   }

   public int getHeight() {
      return this.height;
   }

   public int getWidth() {
      return this.width;
   }
}
